#include <iostream>
#include <fstream>
#include <iomanip>
using namespace std;
int main() 
{
	ifstream f1 ("sotnn.inp");
	int n;int dem1,dem2,dem3;
	f1>>n;
	f1.close();
	int sa=0,sb=0,sc=0,dem1=0,dem2=0,dem3=0;
	float tbca,tbcb,tbcc;
	for (int i=1;i<n;i++)
	{
		if (i%2==0)
		{
			sa ++;
			int dem1=dem1+1;
		}
	}
	tbca=sa/float(dem1);
	for (int i=1;i<n;i++)
	{
		if (i%2!=0)
		{
		    sb=sb+1;
			int dem2=dem2+1;
		}
	}
	tbcb=sb/float(dem2);
	for (int i=1;i<n;i++)
	{
		if (i<n)
		{
			sc=sc+1;
			int dem3=dem3+1;
		}
	}
	tbcc=sc/float(dem3);
	ofstream f2("sotnn.out");
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<sa<<" "<<tbca<<endl;
	f2<<sb<<" "<<tbcb<<endl;
	f2<<sc<<" "<<tbcc<<endl;
	f2.close();
	
	
}
